Qt 5.6 | Qt Core | C++ Classes | WrappedEvent

Qt 5.6.2 Reference Documentation

# WrappedEvent Class

(QStateMachine::WrappedEvent)

The WrappedEvent class inherits QEvent and holds a clone of an event associated with a QObject. More...

Header: | #include <WrappedEvent>
qmake: | QT += core
Since: | Qt 4.6
Inherits: | QEvent

- List of all members, including inherited members

## Public Functions

| ~WrappedEvent()
QEvent * | event() const
QObject * | object() const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The WrappedEvent class inherits QEvent and holds a clone of an event associated with a QObject.

A wrapped event is generated by a QStateMachine in response to a Qt event. The QEventTransition class provides a transition associated with a such an event. QStateMachine::WrappedEvent is part of The State Machine Framework.

The object() function returns the object that generated the event. The event() function returns a clone of the original event.

See also QEventTransition.

## Member Function Documentation

### WrappedEvent::~WrappedEvent()

Destroys this WrappedEvent.

### QEvent *WrappedEvent::event() const

Returns a clone of the original event.

### QObject *WrappedEvent::object() const

Returns the object that the event is associated with.